Name:                  libzip
Version:               1.5.1
Release:               3
Summary:               A C library for reading, creating, and modifying zip archives
License:               BSD
URL:                   https://libzip.org/
Source0:               https://libzip.org/download/libzip-%{version}.tar.xz

BuildRequires:         gcc zlib-devel bzip2-devel openssl-devel cmake
BuildRequires:         perl-interpreter perl(Cwd) perl(File::Copy) perl(File::Path) perl(Getopt::Long)
BuildRequires:         perl(IPC::Open3) perl(Storable) perl(Symbol) perl(UNIVERSAL) perl(strict) perl(warnings)

Provides:              libzip-tools = %{version}-%{release}
Provides:              libzip-tools%{?_isa} = %{version}-%{release}
Obsoletes:             libzip-tools < %{version}-%{release}

%description
libzip is a C library for reading, creating, and modifying zip archives. Files
can be added from data buffers, files, or compressed data copied directly from
other zip archives. Changes made without closing the archive can be reverted.
The API is documented by man pages.

%package devel
Summary:               Development files for libzip
Requires:              %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains libraries and header files for developing applications
that use libcap.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake .
make %{?_smp_mflags}

%install
%make_install

%check
make test

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%license LICENSE
%{_bindir}/zip*
%{_libdir}/libzip.so.5*

%files devel 
%defattr(-,root,root)
%{_libdir}/libzip.so
%{_libdir}/pkgconfig/libzip.pc
%{_includedir}/*.h

%files help
%defattr(-,root,root)
%doc *.md AUTHORS THANKS
%{_mandir}/man1/*1*
%{_mandir}/man3/*3*

%changelog
* Tue Nov 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.5.1-3
- Package init
